Package org.gdal.gdal

## Class Transformer

- java.lang.Object
- - org.gdal.gdal.Transformer

-     public class Transformer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Transformer​(Dataset src, Dataset dst, java.util.Vector options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode​()` |
    `int` | `TransformGeolocations​(Band xBand, Band yBand, Band zBand)` |
    `int` | `TransformGeolocations​(Band xBand, Band yBand, Band zBand, ProgressCallback callback)` |
    `int` | `TransformGeolocations​(Band xBand, Band yBand, Band zBand, ProgressCallback callback, java.util.Vector options)` |
    `int` | `TransformPoint​(double[] argout, int bDstToSrc, double x, double y)` |
    `int` | `TransformPoint​(double[] argout, int bDstToSrc, double x, double y, double z)` |
    `int` | `TransformPoint​(int bDstToSrc, double[] inout)` |
    `int` | `TransformPoints​(int bDstToSrc, double[][] nCount, int[] panSuccess)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transformer

          public Transformer​(Dataset src,
                             Dataset dst,
                             java.util.Vector options)

  - ### Method Detail

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### TransformPoint

          public int TransformPoint​(int bDstToSrc,
                                    double[] inout)

    - #### TransformPoint

          public int TransformPoint​(double[] argout,
                                    int bDstToSrc,
                                    double x,
                                    double y,
                                    double z)

    - #### TransformPoint

          public int TransformPoint​(double[] argout,
                                    int bDstToSrc,
                                    double x,
                                    double y)

    - #### TransformPoints

          public int TransformPoints​(int bDstToSrc,
                                     double[][] nCount,
                                     int[] panSuccess)

    - #### TransformGeolocations

          public int TransformGeolocations​(Band xBand,
                                           Band yBand,
                                           Band zBand,
                                           ProgressCallback callback,
                                           java.util.Vector options)

    - #### TransformGeolocations

          public int TransformGeolocations​(Band xBand,
                                           Band yBand,
                                           Band zBand,
                                           ProgressCallback callback)

    - #### TransformGeolocations

          public int TransformGeolocations​(Band xBand,
                                           Band yBand,
                                           Band zBand)